## calligra 3.0.0.1

=== debian/changelog ===
calligra (1:3.0.0.1-0ubuntu2) zesty; urgency=medium

  * Don't install vc-dev on powerpc and s390x

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 04 Feb 2017 20:14:57 +0000

calligra (1:3.0.0.1-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Porting packaging to KF5
  * Removing krita as its now been split from calligra

  [ Rik Mills ]
  * Update install files and rules

  [ Clive Johnston ]
  * New upstream release (3.0.0.1)
  * Merged with KDE Neon as we were packaging the development edition by
    mistake, which was building lots of development files not needed for
    the release edition.

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 04 Feb 2017 16:14:30 +0000

calligra (1:2.9.11+dfsg-4ubuntu4) zesty; urgency=medium

  * Some missing parenthesis

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Jan 2017 22:41:41 +0100

calligra (1:2.9.11+dfsg-4ubuntu3) zesty; urgency=medium

  * Add one more missing comma

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2017 16:05:40 -0500

calligra (1:2.9.11+dfsg-4ubuntu2) zesty; urgency=medium

  * Fix typo in previous upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Jan 2017 21:45:19 +0100

calligra (1:2.9.11+dfsg-4ubuntu1) zesty; urgency=medium

  * Add lots of Breaks/Replaces to handle files being shipped
    by different packages now. These can be dropped after 18.04 LTS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2017 14:18:52 -0500
