=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
           Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kross-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgsl-dev,
               libicu-dev,
               libjpeg-dev,
               libkchart-dev,
               libkf5activities-dev,
               libkf5akonadi-dev,
               libkf5akonadicontact-dev,
               libkf5calendarcore-dev,
               libkf5contacts-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5sonnet-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5threadweaver-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               liblcms2-dev (>= 2.4),
               libmarble-dev,
               libodfgen-dev,
               libopenexr-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-qt5-dev,
               libqca-qt5-2-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libspnav-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libxbase64-dev,
               libxml2-dev,
               okular-dev,
               pkg-config,
               pkg-kde-tools,
               pstoedit,
               qtdeclarative5-dev,
               shared-mime-info,
               vc-dev [!arm64 !armhf !ppc64el !powerpc !s390x],
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.calligra-suite.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         ${misc:Depends}
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Replaces: calligra-data (<< 1:2.9.0-0ubuntu6),
          calligra-libs (<< 1:2.9.0-0ubuntu6),
          koffice-data (<< 1:2.4),
          kspread (<< 1:2.4)
Breaks: calligra-data (<< 1:2.9.0-0ubuntu6),
        calligra-libs (<< 1:2.9.0-0ubuntu6),
        koffice-data (<< 1:2.4),
        kspread (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: http://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Replaces: kword (<< 1:2.4)
Breaks: kword (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Recommends: okular-backend-odt
Homepage: http://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Conflicts: koffice-data
Breaks: calligra-data (<< 1:2.4.3-2), calligrawords-common (<< 1:2.8.5~)
Replaces: calligra-data (<< 1:2.4.3-2),
          calligrawords-common (<< 1:2.8.5~),
          koffice-data
Homepage: http://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Replaces: calligra-data (<< 1:2.4.3-2),
          koffice-data (<< 1:2.4),
          kpresenter (<< 1:2.4)
Breaks: calligra-data (<< 1:2.4.3-2),
        koffice-data (<< 1:2.4),
        kpresenter (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Recommends: okular-backend-odp
Homepage: http://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application.
 You can easily create presentations containing a rich variety of
 elements, from  graphics to text, from charts to images. Stage is
 extensible through a  plugin system, so it is easy to add new
 effects, new content elements or even  new ways of managing your
 presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes
 Microsoft Office. Examples of its easy-to-use features are support
 for layouts, a special slide overview view during presentations for
 the presenter, support for many different master sliders in one
 presentation, cool transitions and a useful notes feature.
 .
 This package is part of the Calligra Suite.
 .
 As Calligra Stage is unmaintained this package contains only the
 kpart component.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Breaks: calligrastage (<< 1:2.6.3-1~)
Replaces: calligrastage (<< 1:2.6.3-1~)
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Replaces: kexi (<< 1:2.6.1), kformula, koffice-libs
Conflicts: calligrasheets (<< 1:2.9.0-0ubuntu2~), kformula, koffice-libs
Breaks: calligrasheets (<< 1:2.9.0-0ubuntu2~), kexi (<< 1:2.6.1)
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca2-plugin-ossl, python, ruby
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: calligra-l10n-bs,
          calligra-l10n-ca,
          calligra-l10n-cavalencia,
          calligra-l10n-cs,
          calligra-l10n-da,
          calligra-l10n-de,
          calligra-l10n-el,
          calligra-l10n-engb,
          calligra-l10n-es,
          calligra-l10n-et,
          calligra-l10n-fi,
          calligra-l10n-fr,
          calligra-l10n-gl,
          calligra-l10n-hu,
          calligra-l10n-it,
          calligra-l10n-ja,
          calligra-l10n-kk,
          calligra-l10n-nb,
          calligra-l10n-nl,
          calligra-l10n-pl,
          calligra-l10n-pt,
          calligra-l10n-ptbr,
          calligra-l10n-ru,
          calligra-l10n-sk,
          calligra-l10n-sv,
          calligra-l10n-tr,
          calligra-l10n-uk,
          calligra-l10n-zhcn,
          calligra-l10n-zhtw,
          calligraplan (<< 1:2.8.90),
          kexi (<< 1:2.6.92-0ubuntu4),
          kformula,
          koffice-data,
          krita-data (<< 1:2.6.4-0ubuntu1)
Conflicts: kformula, koffice-data
Breaks: calligra-l10n-bs,
        calligra-l10n-ca,
        calligra-l10n-cavalencia,
        calligra-l10n-cs,
        calligra-l10n-da,
        calligra-l10n-de,
        calligra-l10n-el,
        calligra-l10n-engb,
        calligra-l10n-es,
        calligra-l10n-et,
        calligra-l10n-fi,
        calligra-l10n-fr,
        calligra-l10n-gl,
        calligra-l10n-hu,
        calligra-l10n-it,
        calligra-l10n-ja,
        calligra-l10n-kk,
        calligra-l10n-nb,
        calligra-l10n-nl,
        calligra-l10n-pl,
        calligra-l10n-pt,
        calligra-l10n-ptbr,
        calligra-l10n-ru,
        calligra-l10n-sk,
        calligra-l10n-sv,
