=== debian/changelog ===
calligra (1:3.0.1-0ubuntu4) bionic; urgency=medium

  * No change rebuild against Okular 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Feb 2018 01:14:57 +0000

calligra (1:3.0.1-0ubuntu3) artful; urgency=medium

  * Only build with optional KDE apps *contact-dev on amd64, i386 and
    armhf. Lack of QtWebEngine for other architectures means compatible
    contact libraries are not built in new KDE applications 16.12 on
    those.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Aug 2017 01:18:33 +0100

calligra (1:3.0.1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:09:01 +0000

calligra (1:3.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (3.0.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 04 Apr 2017 07:46:55 +0000

calligra (1:3.0.0.1-0ubuntu3) zesty; urgency=medium

  * Relax generated depends for calligrasheets to ease migration.
    On current builds only affects depends on unsupported s390x
    architecture.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Mar 2017 01:46:27 +0000
