=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
                libkchart-dev,
                libkf5activities-dev,
                libkf5akonadi-dev,
-               libkf5akonadicontact-dev,
+               libkf5akonadicontact-dev [amd64 i386 armhf],
                libkf5calendarcore-dev,
-               libkf5contacts-dev,
+               libkf5contacts-dev [amd64 i386 armhf],
                libkf5coreaddons-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
@@ -144,6 +144,7 @@
         koffice-data (<< 1:2.4),
         kspread (<< 1:2.4)
 Depends: calligra-libs (= ${binary:Version}),
+         libgcc1 (>= 1:4.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: khelpcenter
@@ -319,6 +320,3 @@
         calligra-l10n-pl,
         calligra-l10n-pt,
         calligra-l10n-ptbr,
-        calligra-l10n-ru,
-        calligra-l10n-sk,
-        calligra-l10n-sv,
