=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,10 @@
 override_dh_install:
 	dh_install --list-missing
 
+override_dh_shlibdeps:
+	$(overridden_command) -pcalligrasheets -- -xlibgcc1
+	$(overridden_command) --remaining-packages
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'
