=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/calligra/([\d.]+)/calligra-([\d.]+).tar.xz
